# Uses of Interface
org.eclipse.birt.chart.script.IScriptClassLoader

Packages that use IScriptClassLoader
Package
Description
org.eclipse.birt.chart.factory
Contains classes and interfaces used in the chart building and generation phase.
org.eclipse.birt.chart.script

## Uses of IScriptClassLoader in org.eclipse.birt.chart.factory

Methods in org.eclipse.birt.chart.factory that return IScriptClassLoader
Modifier and Type
Method
Description
`IScriptClassLoader`
RunTimeContext.`getScriptClassLoader()`
Returns the script classLoader if available.
Methods in org.eclipse.birt.chart.factory with parameters of type IScriptClassLoader
Modifier and Type
Method
Description
`RunTimeContext`
Generator.`prepare(Chart model, IExternalContext externalContext, IScriptClassLoader iscl, com.ibm.icu.util.ULocale locale)`
Since v2, it must be called before build( ), and should only be called once per design model.
`RunTimeContext`
Generator.`prepare(Chart model, IExternalContext externalContext, IScriptClassLoader iscl, Locale locale)`
Deprecated.
use `Generator.prepare(Chart, IExternalContext, IScriptClassLoader, ULocale)` instead.
`RunTimeContext`
IGenerator.`prepare(Chart model, IExternalContext externalContext, IScriptClassLoader iscl, com.ibm.icu.util.ULocale locale)`
Since v2, it must be called before build( ), and should only be called once per design model.
`void`
RunTimeContext.`setScriptClassLoader(IScriptClassLoader value)`
Sets the script classLoader.

## Uses of IScriptClassLoader in org.eclipse.birt.chart.script

Classes in org.eclipse.birt.chart.script that implement IScriptClassLoader
Modifier and Type
Class
Description
`class`
`ScriptClassLoaderAdapter`
An adapter class for IScriptClassLoader.
Methods in org.eclipse.birt.chart.script with parameters of type IScriptClassLoader
Modifier and Type
Method
Description
`final void`
AbstractScriptHandler.`setScriptClassLoader(IScriptClassLoader value)`
Sets the script class loader.